## git-changelog 2.7.1

=== Makefile ===
# If you have `direnv` loaded in your shell, and allow it in the repository,
# the `make` command will point at the `scripts/make` shell script.
# This Makefile is just here to allow auto-completion in the terminal.

default: help
	@echo
	@echo 'Enable direnv in your shell to use the `make` command: `direnv allow`'
	@echo 'Or use `python scripts/make ARGS` to run the commands/tasks directly.'

.DEFAULT_GOAL: default

actions = \
	allrun \
	changelog \
	check \
	check-api \
	check-docs \
	check-quality \
	check-types \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	help \
	multirun \
	profile \
	release \
	run \
	setup \
	test \
	vscode

.PHONY: $(actions)
$(actions):
	@python scripts/make "$@"

=== debian/changelog ===
git-changelog (2.7.1-1) unstable; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Feb 2026 17:53:53 +0100

=== debian/control ===
Source: git-changelog
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 mkdocstrings <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-griffe <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-pdm-backend,
 python3-platformdirs <!nocheck>,
 python3-pytest <!nocheck>,
 python3-semver <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/pawamoy/git-changelog
Vcs-Browser: https://forgejo.debian.net/git/git-changelog
Vcs-Git: https://forgejo.debian.net/git/git-changelog

Package: git-changelog
Section: utils
Architecture: all
Depends:
 git,
 ${misc:Depends},
 ${python3:Depends},
Description: Automatic Changelog generator using Jinja2 templates
 git-changelog is a automatic changelog generator using git commit messages and
 Jinja2 templates:
 .
   * Jinja2 templates for full control over the rendering, with built-in 'Keep a
     Changelog' and Angular templates.
 .
   * Commit styles/conventions parsing, with built-in Angular, Conventional
     Commit and basic conventions.
 .
   * Git service/provider agnostic, plus references parsing (issues, commits,
     etc.), with built-in GitHub, Gitlab and Bitbucket support.
 .
   * Understands SemVer and PEP 440 versioning schemes, guesses next version
     based on last commits.
 .
   * Parses Git trailers, allowing to reference issues, PRs, etc., in commit
     messages in a clean, provider-agnostic way.
 .
   * Template context injection, to furthermore customize how the changelog
     will be rendered.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# the version tests needs some newer python module versions
	dh_auto_test || true

=== debian/watch ===
Version: 5

Template: Github
Owner: pawamoy
Project: git-changelog
